Plumi 4.0b1 (Beta release) (Nov 29, 2010)

This is not a final release. Experimental releases should only be used for testing and development. Do not use these on production sites, and make sure you have proper backups before installing.

First beta release of Plumi 4.0 for Plone 4.x.

For additional information about this project, please visit the overview page .

Available downloads

Plumi 4.0b1 plumi.app package

For Linux/BSD/Unix (81.7 kB)

Release Notes

Tested with Plone 4
State Beta release
License GPL
Release Manager EngageMedia/Plumi

This beta release is primarily focused on rebasing Plumi on Plone 4, in addition to other improvements and re-factoring of Plumi including new production and development buildouts located inside the plumi.app egg, updating the caching system, cleanup of installation code and moving parts to GenericSetup, replacing older products with newer and better maintained products or removing dependencies and other improvements. FFmpeg and required codecs are also now included in the buildout which means a simpler installation process.

The plumi.app package can be found on PyPi here:
http://pypi.python.org/pypi/plumi.app/

 

Change log

Changes include:

  • remove and replace deprecated code and rebase on Plone 4 [clopy]
  • deprecate plumi.buildout which was not a proper egg. Now the buildout lives inside plumi.app [dimo]
  • new production and devel buildout based on Martin Aspeli's uber buildout [dimo]
  • use varnish instead of squid [dimo]
  • use haproxy instead of pound [dimo]
  • move install code to setuphandlers.py & cleanup [dimo]
  • move parts of the install code to GenericSetup [clopy]
  • use qi.portlet.TagCloud instead of Vaporisation [dimo,clopy]
  • remove dependency on plonebookmarklets [dimo,clopy]
  • remove dependency on ATCountryWidget [dimo]
  • build ffmpeg and qt-faststart using buildout [dimo]
  • Remove ability for ordinary users to change video view [clopy]
A full list of tickets closed for this release can be found here.